%bcond_with tests

Name:           bumpversion
Version:        1.0.1
Release:    1%{?dist}
Summary:        Version-bump your software with a single command

License:        MIT
URL:            https://github.com/c4urself/bump2version
Source0:        %{url}/archive/v%{version}/bump2version-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-testfixtures
%endif

%description
A small command line tool to simplify releasing software by updating all
version strings in your source code by the correct increment. Also creates
commits and tags:

 * version formats are highly configurable
 * works without any VCS, but happily reads tag information from and writes
    commits and tags to Git and Mercurial if available
 * just handles text files, so it's not specific to any programming language


%prep
%autosetup -n bump2version-%{version}


%build
%py3_build


%if %{with tests}
%check
%pytest -k "not test_usage_string and not test_defaults_in_usage_with_config"
%endif


%install
%py3_install


%files
%doc README.md
%license LICENSE.rst
%attr(0755,root,root) %{_bindir}/{bumpversion,bump2version}
%{python3_sitelib}/bumpversion/
%{python3_sitelib}/bump2version-%{version}*egg-info/


%changelog
* Fri Aug 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
